Sie sind nicht angemeldet.

Lieber Besucher, herzlich willkommen bei: Ubuntu-Forum & Kubuntu-Forum | www.Ubuntu-Forum.de. Falls dies Ihr erster Besuch auf dieser Seite ist, lesen Sie sich bitte die Hilfe durch. Dort wird Ihnen die Bedienung dieser Seite näher erläutert. Darüber hinaus sollten Sie sich registrieren, um alle Funktionen dieser Seite nutzen zu können. Benutzen Sie das Registrierungsformular, um sich zu registrieren oder informieren Sie sich ausführlich über den Registrierungsvorgang. Falls Sie sich bereits zu einem früheren Zeitpunkt registriert haben, können Sie sich hier anmelden.

  • »harry56« ist der Autor dieses Themas

Beiträge: 57

Registrierungsdatum: 05.12.2006

  • Nachricht senden

1

23.10.2007, 10:31

gelöst: Aktualisierung und Firefox

Ubuntu Linux Version: 7.04

Mein Computer:
- CPU: ADM Athlon XP2600+
- Grafikkarte: GX7600GS
- Soundkarte: ALSA
- CD-/DVD-Laufwerk: Toshiba

Schilderung wann der Fehler auftritt (zur Rekonstruktion):

Installation der heute verschickten Aktualisierung. Alles funktionierte außer firefox-gnome- ???. Kann ich nicht mehr nachschauen. da auch Synaptic etc. zerschossen ist. Im Zusammenhang mit der Fehlermeldung wurde auf kaffeine verwiesen, welche auch eine library ?? verwendet. (Kann ich nicht mehr rekonstruieren s.o.)

Was ich schon zur Problemlösung versucht habe:

Nach Deinstallation durch synaptic funktioniert weder die Aktualisierung noch Synaptic. Folgende Meldung habe ich wenn ich sudo apt-get install -f durchführe:

Quellcode

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
harald@keller:~$ sudo apt-get install -f
Password:
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut       
Reading state information... Fertig
Abhängigkeit werden korrigiert... Fertig
The following packages were automatically installed and are no longer required:
  ispell wogerman gimp-help-de iogerman gimp-help-common wswiss emacsen-common
  libwv-1.2-3 wngerman openoffice.org-help-de ingerman
  openoffice.org-thesaurus-de-ch libssl0.9.7 openoffice.org-thesaurus-de
  libgsf0.0-cil openoffice.org-l10n-de liblockfile1
Verwenden Sie »apt-get autoremove«, um sie zu entfernen.
Die folgenden zusätzlichen Pakete werden installiert:
  firefox
Vorgeschlagene Pakete:
  firefox-gnome-support latex-xft-fonts firefox-libthai
Die folgenden NEUEN Pakete werden installiert:
  firefox
0 aktualisiert, 1 neu installiert, 0 zu entfernen und 0 nicht aktualisiert.
2 nicht vollständig installiert oder entfernt.
Es müssen noch 0B von 9272kB Archiven geholt werden.
Nach dem Auspacken werden 29,4MB Plattenplatz zusätzlich benutzt.
Möchten Sie fortfahren [J/n]? j
(Lese Datenbank ... 130091 Dateien und Verzeichnisse sind derzeit installiert.)
Entpacke firefox (aus .../firefox_2.0.0.8+1nobinonly-0ubuntu1_i386.deb) ...
dpkg: Fehler beim Bearbeiten von /var/cache/apt/archives/firefox_2.0.0.8+1nobinonly-0ubuntu1_i386.deb (--unpack):
 Versuche, »/usr/lib/mozilla-firefox« zu überschreiben, welches auch in Paket kaffeine-mozilla ist
Fehler traten auf beim Bearbeiten von:
 /var/cache/apt/archives/firefox_2.0.0.8+1nobinonly-0ubuntu1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)



Wer kann helfen

harry56

An was es liegen könnte (Auffälligkeiten):

Dieser Beitrag wurde bereits 1 mal editiert, zuletzt von »harry56« (23.10.2007, 19:38)


2

23.10.2007, 11:29

Hmmmm, eigentlich sollte ein:

Quellcode

1
sudo apt-get -f install


helfen. ?(

BTW:
Ändere mal bitte Dein Posting. Code, also Konsolenein- / ausgaben setzen wir in Code Tags. Ändere dein Posting, in dem Du die Konsolenausgabe mit der Maus markierst und drücke dann den # Button, dann auf ok und dein Code steht in so einem Fenster:

Quellcode

1
Hier steht code drin!

J-B

User

Beiträge: 381

Registrierungsdatum: 25.05.2006

Derivat: Ubuntu

Architektur: 32-Bit PC

  • Nachricht senden

3

23.10.2007, 12:10

Was mich heute morgen total irritiert hat ist das ich auf einmal die Version 2.0.0.8 habe. Ich dachte Ubuntu geht die Philosophie von Debian nach?

Ich dachte es werden nur Sicherheitspatches erstellt und kein Versionssprung?!

Oder ist dies nur bei der LTS Version von Ubuntu. Ist mir ehrlich gesagt neu, dass nach einem Update auf einmal eine neuere Version kommt.
Laptop:
OS: Ubuntu Intrepid Ibex 8.10 32bit Kernel: 2.6.27 Prozessor: Intel Core 2 Duo T7500 2,20 GHz RAM: 3072 MB Festplatte: 160 GB Modell: Dell XPS M1330

Desktop:
OS: Ubuntu Intrepid Ibex 8.10 32bit Kernel: 2.6.27 Prozessor: Intel Core 2 Duo 6550 2,33 GHz RAM: 4096 MB Festplatte: 80 GB

  • »Whinegum« ist männlich

Beiträge: 152

Registrierungsdatum: 06.05.2006

Derivat: Ubuntu

Architektur: 32-Bit PC

  • Nachricht senden

4

23.10.2007, 12:52

Zitat

Original von J-B
Was mich heute morgen total irritiert hat ist das ich auf einmal die Version 2.0.0.8 habe. Ich dachte Ubuntu geht die Philosophie von Debian nach?.


Hi.
Was die Philosophie angeht meine ich gehört zu haben, dass Ubunte mehr neues ausprobiert als Debian. In sofern würde es ja passen.(Angaben ohne Gewähr^^) Sollte es zu Problemen führen kannst du die neue Version ja auch wieder runterschmeißen ;)

Gruß Whinegum
Intel Pentium D 3,2Ghz || 1GB Ram || Nvidia GeForce 6800GS || 930GB

J-B

User

Beiträge: 381

Registrierungsdatum: 25.05.2006

Derivat: Ubuntu

Architektur: 32-Bit PC

  • Nachricht senden

5

23.10.2007, 13:24

Zitat

Original von Whinegum
Sollte es zu Problemen führen kannst du die neue Version ja auch wieder runterschmeißen ;)

Gruß Whinegum


Das bedeuted aber nicht das die ältere Version dann auch gepatched wird?! Denn Firefox hatte ne Lücke die in 2.0.0.8 gefixt ist, und solange Ubuntu kein Patch für 2.0.0.6 zur Verfügung stellt bringt mir die alte Version ja nichts :)
Laptop:
OS: Ubuntu Intrepid Ibex 8.10 32bit Kernel: 2.6.27 Prozessor: Intel Core 2 Duo T7500 2,20 GHz RAM: 3072 MB Festplatte: 160 GB Modell: Dell XPS M1330

Desktop:
OS: Ubuntu Intrepid Ibex 8.10 32bit Kernel: 2.6.27 Prozessor: Intel Core 2 Duo 6550 2,33 GHz RAM: 4096 MB Festplatte: 80 GB

  • »Whinegum« ist männlich

Beiträge: 152

Registrierungsdatum: 06.05.2006

Derivat: Ubuntu

Architektur: 32-Bit PC

  • Nachricht senden

6

23.10.2007, 13:41

Joa. Stimmt schon. Habe ja gesagt wenn die neue Probleme machen sollte. Ansonsten würde ich definitiv bei der neuen bleiben.

Gruß
Whinegum
Intel Pentium D 3,2Ghz || 1GB Ram || Nvidia GeForce 6800GS || 930GB

  • »harry56« ist der Autor dieses Themas

Beiträge: 57

Registrierungsdatum: 05.12.2006

  • Nachricht senden

7

23.10.2007, 14:28

Hier das posting neu:

Quellcode

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
harald@keller:~$ sudo apt-get install -f
Password:
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut
Reading state information... Fertig
Abhängigkeit werden korrigiert... Fertig
The following packages were automatically installed and are no longer required:
ispell wogerman gimp-help-de iogerman gimp-help-common wswiss emacsen-common
libwv-1.2-3 wngerman openoffice.org-help-de ingerman
openoffice.org-thesaurus-de-ch libssl0.9.7 openoffice.org-thesaurus-de
libgsf0.0-cil openoffice.org-l10n-de liblockfile1
Verwenden Sie »apt-get autoremove«, um sie zu entfernen.
Die folgenden zusätzlichen Pakete werden installiert:
firefox
Vorgeschlagene Pakete:
firefox-gnome-support latex-xft-fonts firefox-libthai
Die folgenden NEUEN Pakete werden installiert:
firefox
0 aktualisiert, 1 neu installiert, 0 zu entfernen und 0 nicht aktualisiert.
2 nicht vollständig installiert oder entfernt.
Es müssen noch 0B von 9272kB Archiven geholt werden.
Nach dem Auspacken werden 29,4MB Plattenplatz zusätzlich benutzt.
Möchten Sie fortfahren [J/n]? j
(Lese Datenbank ... 130091 Dateien und Verzeichnisse sind derzeit installiert.)
Entpacke firefox (aus .../firefox_2.0.0.8+1nobinonly-0ubuntu1_i386.deb) ...
dpkg: Fehler beim Bearbeiten von /var/cache/apt/archives/firefox_2.0.0.8+1nobinonly-0ubuntu1_i386.deb (--unpack):
Versuche, »/usr/lib/mozilla-firefox« zu überschreiben, welches auch in Paket kaffeine-mozilla ist
Fehler traten auf beim Bearbeiten von:
/var/cache/apt/archives/firefox_2.0.0.8+1nobinonly-0ubuntu1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)


ich habe noch apt-get chekc gemacht und erhalte folgende Antwort:

Quellcode

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut       
Reading state information... Fertig
Sie möchten wahrscheinlich »apt-get -f install« aufrufen, um dies zu korrigieren.
Die folgenden Pakete haben nichterfüllte Abhängigkeiten:
  sun-java5-plugin: Hängt ab: firefox ist aber nicht installiert oder 
                               iceweasel ist aber nicht installierbar oder 
                               mozilla-firefox ist aber nicht installiert oder 
                               iceape-browser ist aber nicht installierbar oder 
                               mozilla-browser ist aber nicht installierbar oder 
                               epiphany-browser ist aber nicht installiert oder 
                               galeon ist aber nicht installiert oder 
                               konqueror ist aber nicht installiert
  sun-java6-plugin: Hängt ab: firefox ist aber nicht installiert oder 
                               iceweasel ist aber nicht installierbar oder 
                               mozilla-firefox ist aber nicht installiert oder 
                               iceape ist aber nicht installierbar oder 
                               mozilla-browser ist aber nicht installierbar oder 
                               epiphany-browser ist aber nicht installiert oder 
                               galeon ist aber nicht installiert oder 
                               konqueror ist aber nicht installiert
E: Nichterfüllte Abhängigkeiten. Versuchen Sie, -f zu benutzen.

Dieser Beitrag wurde bereits 1 mal editiert, zuletzt von »harry56« (23.10.2007, 14:42)


J-B

User

Beiträge: 381

Registrierungsdatum: 25.05.2006

Derivat: Ubuntu

Architektur: 32-Bit PC

  • Nachricht senden

8

23.10.2007, 15:04

Zeig mal bitte deine /etc/apt/sources.list
Laptop:
OS: Ubuntu Intrepid Ibex 8.10 32bit Kernel: 2.6.27 Prozessor: Intel Core 2 Duo T7500 2,20 GHz RAM: 3072 MB Festplatte: 160 GB Modell: Dell XPS M1330

Desktop:
OS: Ubuntu Intrepid Ibex 8.10 32bit Kernel: 2.6.27 Prozessor: Intel Core 2 Duo 6550 2,33 GHz RAM: 4096 MB Festplatte: 80 GB

  • »harry56« ist der Autor dieses Themas

Beiträge: 57

Registrierungsdatum: 05.12.2006

  • Nachricht senden

9

23.10.2007, 16:13

hier die Liste:

Zitat


# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.

deb http://de.archive.ubuntu.com/ubuntu/ feisty main restricted
deb-src http://de.archive.ubuntu.com/ubuntu/ feisty main restricted

## Major bug fix updates produced after the final release of the
## distribution.
deb http://de.archive.ubuntu.com/ubuntu/ feisty-updates main restricted
deb-src http://de.archive.ubuntu.com/ubuntu/ feisty-updates main restricted

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## universe WILL NOT receive any review or updates from the Ubuntu security
## team.
deb http://de.archive.ubuntu.com/ubuntu/ feisty universe
deb-src http://de.archive.ubuntu.com/ubuntu/ feisty universe

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://de.archive.ubuntu.com/ubuntu/ feisty multiverse
deb-src http://de.archive.ubuntu.com/ubuntu/ feisty multiverse

## Uncomment the following two lines to add software from the 'backports'
## repository.
## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
# deb http://de.archive.ubuntu.com/ubuntu/ feisty-backports main restricted universe multiverse
# deb-src http://de.archive.ubuntu.com/ubuntu/ feisty-backports main restricted universe multiverse

deb http://security.ubuntu.com/ubuntu feisty-security main restricted
deb-src http://security.ubuntu.com/ubuntu feisty-security main restricted
deb http://security.ubuntu.com/ubuntu feisty-security universe
deb-src http://security.ubuntu.com/ubuntu feisty-security universe
deb http://security.ubuntu.com/ubuntu feisty-security multiverse
deb-src http://security.ubuntu.com/ubuntu feisty-security multiverse
deb http://www.virtualbox.org/debian feisty non-free

J-B

User

Beiträge: 381

Registrierungsdatum: 25.05.2006

Derivat: Ubuntu

Architektur: 32-Bit PC

  • Nachricht senden

10

23.10.2007, 16:20

Versuch mal bitte folgendes ...

Quellcode

1
sudo aptitude clean


Quellcode

1
sudo aptitude update


Quellcode

1
sudo apt-get autoremove


Quellcode

1
sudo aptitude install firefox
Laptop:
OS: Ubuntu Intrepid Ibex 8.10 32bit Kernel: 2.6.27 Prozessor: Intel Core 2 Duo T7500 2,20 GHz RAM: 3072 MB Festplatte: 160 GB Modell: Dell XPS M1330

Desktop:
OS: Ubuntu Intrepid Ibex 8.10 32bit Kernel: 2.6.27 Prozessor: Intel Core 2 Duo 6550 2,33 GHz RAM: 4096 MB Festplatte: 80 GB

  • »harry56« ist der Autor dieses Themas

Beiträge: 57

Registrierungsdatum: 05.12.2006

  • Nachricht senden

11

23.10.2007, 16:29

lief glatt durch bis autoremove. Resultat:

Quellcode

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
harald@keller:~$ sudo apt-get autoremove
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut       
Reading state information... Fertig
Sie möchten wahrscheinlich »apt-get -f install« aufrufen, um dies zu korrigieren.
Die folgenden Pakete haben nichterfüllte Abhängigkeiten:
  sun-java5-plugin: Hängt ab: firefox ist aber nicht installiert oder 
                               iceweasel ist aber nicht installierbar oder 
                               mozilla-firefox ist aber nicht installiert oder 
                               iceape-browser ist aber nicht installierbar oder 
                               mozilla-browser ist aber nicht installierbar oder 
                               epiphany-browser ist aber nicht installiert oder 
                               galeon ist aber nicht installiert oder 
                               konqueror ist aber nicht installiert
  sun-java6-plugin: Hängt ab: firefox ist aber nicht installiert oder 
                               iceweasel ist aber nicht installierbar oder 
                               mozilla-firefox ist aber nicht installiert oder 
                               iceape ist aber nicht installierbar oder 
                               mozilla-browser ist aber nicht installierbar oder 
                               epiphany-browser ist aber nicht installiert oder 
                               galeon ist aber nicht installiert oder 
                               konqueror ist aber nicht installiert
E: Nichterfüllte Abhängigkeiten. Versuchen Sie, -f zu benutzen.


bei install firefox wurde gemeldet:

Quellcode

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
harald@keller:~$ sudo aptitude install firefox
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut       
Reading state information... Fertig
Initialisiere Paketstatus... Fertig
Erzeuge Tag-Datenbank... Fertig    
Die folgenden NEUEN Pakete werden zusätzlich installiert:
  firefox 
0 Pakete aktualisiert, 1 zusätzlich installiert, 0 werden entfernt und 0 nicht aktualisiert.
Muss 9272kB an Archiven herunterladen. Nach dem Entpacken werden 29,4MB zusätzlich belegt sein.
Schreibe erweiterte Statusinformationen... Fertig
Hole:1 http://security.ubuntu.com feisty-security/main firefox 2.0.0.8+1nobinonly-0ubuntu1 [9272kB]
9272kB wurden in 42s heruntergeladen (217kB/s)                                  
(Lese Datenbank ... 130091 Dateien und Verzeichnisse sind derzeit installiert.)
Entpacke firefox (aus .../firefox_2.0.0.8+1nobinonly-0ubuntu1_i386.deb) ...
dpkg: Fehler beim Bearbeiten von /var/cache/apt/archives/firefox_2.0.0.8+1nobinonly-0ubuntu1_i386.deb (--unpack):
 Versuche, »/usr/lib/mozilla-firefox« zu überschreiben, welches auch in Paket kaffeine-mozilla ist
Fehler traten auf beim Bearbeiten von:
 /var/cache/apt/archives/firefox_2.0.0.8+1nobinonly-0ubuntu1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
Ein Paket konnte nicht installiert werden. Versuche zu lösen:

J-B

User

Beiträge: 381

Registrierungsdatum: 25.05.2006

Derivat: Ubuntu

Architektur: 32-Bit PC

  • Nachricht senden

12

23.10.2007, 16:44

Gibt es bei dir das Verzeichnis /usr/lib/mozilla-firefox ?

Quellcode

1
ls -al /usr/lib/mozilla-firefox


Wenn nicht, dann bitte erzeugen mit

Quellcode

1
sudo mkdir /usr/lib/mozilla-firefox


Und dann nochmal ein

Quellcode

1
sudo aptitude update


Quellcode

1
sudo aptitude install firefox
Laptop:
OS: Ubuntu Intrepid Ibex 8.10 32bit Kernel: 2.6.27 Prozessor: Intel Core 2 Duo T7500 2,20 GHz RAM: 3072 MB Festplatte: 160 GB Modell: Dell XPS M1330

Desktop:
OS: Ubuntu Intrepid Ibex 8.10 32bit Kernel: 2.6.27 Prozessor: Intel Core 2 Duo 6550 2,33 GHz RAM: 4096 MB Festplatte: 80 GB

  • »harry56« ist der Autor dieses Themas

Beiträge: 57

Registrierungsdatum: 05.12.2006

  • Nachricht senden

13

23.10.2007, 16:55

ich danke dir, es hat funktioniert, dennoch kam beim letzten Befehl folgende Nachricht, die ich nicht richtig interpretieren kann, denn die Programme scheinen zu laufen:

Quellcode

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
harald@keller:~$ sudo aptitude install firefox
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut       
Reading state information... Fertig
Lese erweiterte Statusinformationen      
Initialisiere Paketstatus... Fertig
Erzeuge Tag-Datenbank... Fertig    
Die folgenden NEUEN Pakete werden zusätzlich installiert:
  firefox 
0 Pakete aktualisiert, 1 zusätzlich installiert, 0 werden entfernt und 0 nicht aktualisiert.
Muss 0B/9272kB an Archiven herunterladen. Nach dem Entpacken werden 29,4MB zusätzlich belegt sein.
Schreibe erweiterte Statusinformationen... Fertig
(Lese Datenbank ... 130091 Dateien und Verzeichnisse sind derzeit installiert.)
Entpacke firefox (aus .../firefox_2.0.0.8+1nobinonly-0ubuntu1_i386.deb) ...
Richte firefox ein (2.0.0.8+1nobinonly-0ubuntu1) ...
Please restart any running Firefoxes, or you will experience problems.

Richte sun-java5-plugin ein (1.5.0-11-1ubuntu2) ...
update-alternatives: Kann /usr/lib/mozilla-firefox/plugins/libjavaplugin.so.dpkg-tmp nicht zu symbolischem Link auf /etc/alternatives/firefox-javaplugin.so machen: No such file or directory
dpkg: Fehler beim Bearbeiten von sun-java5-plugin (--configure):
 Unterprozess post-installation script gab den Fehlerwert 2 zurück
Richte sun-java6-plugin ein (6-00-2ubuntu2) ...
update-alternatives: Kann /usr/lib/mozilla-firefox/plugins/libjavaplugin.so.dpkg-tmp nicht zu symbolischem Link auf /etc/alternatives/firefox-javaplugin.so machen: No such file or directory
dpkg: Fehler beim Bearbeiten von sun-java6-plugin (--configure):
 Unterprozess post-installation script gab den Fehlerwert 2 zurück
Fehler traten auf beim Bearbeiten von:
 sun-java5-plugin
 sun-java6-plugin
E: Sub-process /usr/bin/dpkg returned an error code (1)
Ein Paket konnte nicht installiert werden. Versuche zu lösen:

J-B

User

Beiträge: 381

Registrierungsdatum: 25.05.2006

Derivat: Ubuntu

Architektur: 32-Bit PC

  • Nachricht senden

14

23.10.2007, 17:55

Quellcode

1
sudo aptitude purge sun-java5-plugin sun-java6-plugin


Und wieder nach installieren wenn du es benötigst!
Laptop:
OS: Ubuntu Intrepid Ibex 8.10 32bit Kernel: 2.6.27 Prozessor: Intel Core 2 Duo T7500 2,20 GHz RAM: 3072 MB Festplatte: 160 GB Modell: Dell XPS M1330

Desktop:
OS: Ubuntu Intrepid Ibex 8.10 32bit Kernel: 2.6.27 Prozessor: Intel Core 2 Duo 6550 2,33 GHz RAM: 4096 MB Festplatte: 80 GB

  • »harry56« ist der Autor dieses Themas

Beiträge: 57

Registrierungsdatum: 05.12.2006

  • Nachricht senden

15

23.10.2007, 19:38

danke. Alles hat funktioniert. Habe wieder einiges dazugelernt

harry 56